## sddm-conf 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(SddmConf
    VERSION 0.2.0
    LANGUAGES CXX
)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#===============================================================================
# Qt
#===============================================================================
option(PROJECT_TRANSLATIONS_UPDATE "Update source translations [default: OFF]" OFF)
set(PROJECT_TRANSLATION_TEST_ENABLED 0 CACHE STRING "Whether to enable translation testing [default: 0]")
set(PROJECT_TRANSLATION_TEST "it" CACHE STRING "Country code of language to test in IDE [default: it]")
set(PROJECT_QT_VERSION 5 CACHE STRING "Qt version to use [default: 5]")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
find_package(QT NAMES Qt${PROJECT_QT_VERSION})
find_package(Qt${QT_VERSION_MAJOR} REQUIRED LinguistTools Widgets)
find_package(Qtilitools REQUIRED)
#===============================================================================
# Project files
#===============================================================================
set(PROJECT_SOURCES
    src/application.hpp
    src/application.cpp
    src/dialogabout.hpp
    src/dialogabout.cpp
    src/maindialog.hpp
    src/maindialog.cpp
    src/settings.hpp
    src/settings.cpp
)
set(PROJECT_UI_FILES
    src/maindialog.ui
    src/dialogabout.ui
)
set(PROJECT_OTHER_FILES
    .github/workflows/build.yml
    .clang-format
    .editorconfig
    .gitattributes
    .gitignore
    README.md
)
source_group("Sources" FILES ${PROJECT_SOURCES})
source_group("Misc" FILES ${PROJECT_OTHER_FILES})
source_group("UI" FILES ${PROJECT_UI_FILES})
#===============================================================================
# Resources
#===============================================================================
include(Config.cmake)
include(QtAppResources)
#===============================================================================
# Application executable
#===============================================================================
set(PROJECT_ALL_FILES
    ${PROJECT_DESKTOP_FILES}
    ${PROJECT_RESOURCES}
    ${PROJECT_SOURCES}
    ${PROJECT_OTHER_FILES}
    ${PROJECT_QM_FILES}
    ${PROJECT_TRANSLATION_SOURCES}
    ${PROJECT_UI_FILES}
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(${PROJECT_NAME} MANUAL_FINALIZATION ${PROJECT_ALL_FILES})
else()
    add_executable(${PROJECT_NAME} ${PROJECT_ALL_FILES})
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt::Widgets
)
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "${PROJECT_ID}")

target_compile_definitions(${PROJECT_NAME} PRIVATE
    PROJECT_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_ID}"
    PROJECT_TRANSLATION_TEST="${PROJECT_TRANSLATION_TEST}"
    PROJECT_TRANSLATION_TEST_ENABLED=${PROJECT_TRANSLATION_TEST_ENABLED}
)
#===============================================================================
# Install application
#===============================================================================
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
#===============================================================================
# Project information
#===============================================================================
message(STATUS "
Project name:                     ${PROJECT_NAME}
Version:                          ${PROJECT_VERSION}
Qt version:                       ${QT_VERSION}
Build type:                       ${CMAKE_BUILD_TYPE}
Install prefix:                   ${CMAKE_INSTALL_PREFIX}
Update translations before build: ${PROJECT_TRANSLATIONS_UPDATE}
")

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(${PROJECT_NAME})
endif()

=== debian/changelog ===
sddm-conf (0.2.0-0ubuntu9) plucky; urgency=medium

  * No-change rebuild against libqtilitools-dev. (LP: #2093070)

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 06 Feb 2025 00:00:46 +0000

sddm-conf (0.2.0-0ubuntu8) plucky; urgency=medium

  * Switch to Qt 6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 19 Oct 2024 15:38:01 -0500

sddm-conf (0.2.0-0ubuntu3) noble; urgency=medium

  * Clean up useless files that got left behind in the last upload
  * Fix debian/watch file

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 20 Feb 2024 13:10:14 -0600

sddm-conf (0.2.0-0ubuntu2) noble; urgency=medium

  * New upstream release.
  * Don't use the "Release" build type anymore, it could interfere with debug
    info generation.
  * Remove an inaccurate documentation field in upstream metadata.
  * Created debian/watch file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 20 Feb 2024 12:40:53 -0600

sddm-conf (0.2.0~git20231105-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2043824).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Nov 2023 12:26:41 -0600

=== debian/control ===
Source: sddm-conf
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.15),
               debhelper-compat (= 13),
               libqtilitools-dev (>= 0.1.2),
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Homepage: https://github.com/qtilities/sddm-conf/
Vcs-Browser: https://git.lubuntu.me/Lubuntu/sddm-conf-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/sddm-conf-packaging.git

Package: sddm-conf
Architecture: any
Depends: polkitd, sddm, ${misc:Depends}, ${shlibs:Depends}
Description: Configuration editor for SDDM
 Configuration editor for SDDM similar to sddm-config-editor, but written in
 C++. Requires polkit to save settings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DPROJECT_QT_VERSION=6
